; fvputequ.inc
;Copyright 1999 Joshua Seagoe
;send me a copy if you fix anything or use this in your program
;rabidcow@juno.com

;10-20-99 added notes as to what i've done since september 16
;         underline is now below the char, not on it's last row
;         two includes instead of a source to chop up
;         put font_null back in for grayscale
;09-16-99 fixed bold so it's readable
;         added font_null to this version

; rom routine to get char bitmaps
_copycharmaps                   equ              56A1h

; ----- font style flags -----

; use:
;   set font_bold,(iy+font_flags)
;   res font_italic,(iy+font_flags)
; etc.

; that's iy+$2d, hope you don't use it
; if ya do, change one or the other
font_flags      equ $2d
font_bold       equ 0
font_italic     equ 1
font_under      equ 2
font_strike     equ 3
font_inverse    equ 4
font_null       equ 7

; ----- things in fvputs.inc: -----

; fvputs
;  - display string from (hl), zero terminated
;    on return, a=0 hl->end of string
;    destroys bc,de
; fvputc
;  - display char in a
;    skips first row, draws an extra one at the bottom
;    destroys a,bc,de,hl
; fcopycharmap
;  - get char bitmap with formatting (char is in a)
;    this routine is a direct replacement for _copycharmaps
;    on return hl->width byte of char (fixed ram location)
;    destroys a,bc & whatever _copycharmaps does
;    (10-20-99) it now adds one byte to the bottom for
;    underline
; fvputc_vidplane
;  - one byte location to change if you want to write to
;    a different video plane.  Default is $FC.
;    does not automatically reset
